! Figure 5.20
program test
   use sorts
   type(length)         :: s, l
   type(length_squared) :: s2 
   type(velocity)       :: v
   type(time)           :: t
   s  = length(10.0)
   s2 = length_squared(10.0)
   t  = time(3.0)
   v = s / t
! Note: v = s + t    or    v = s * t  would be illegal
   t = t + time(1.0)
   l = sqrt(s2)
   print *, v, t, l
end program test
